Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.KeyHandler

    java.lang.Object
      |
      +--java.awt.event.KeyAdapter
            |
            +--javax.swing.plaf.basic.BasicTreeUI.KeyHandler

public class BasicTreeUI.KeyHandler
extends java.awt.event.KeyAdapter

This is used to get mutliple key down events to appropriately generate events.

Field Summary
`protected boolean` | `isKeyDown` Set to true while keyPressed is active.
`protected Action` | `repeatKeyAction` Key code that is being generated for.

Constructor Summary
`BasicTreeUI.KeyHandler()`

Method Summary
`void` | `keyPressed(java.awt.event.KeyEvent e)`
`void` | `keyReleased(java.awt.event.KeyEvent e)`

Methods inherited from class java.awt.event.KeyAdapter
`keyTyped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### repeatKeyAction

    protected Action repeatKeyAction

  Key code that is being generated for.

### isKeyDown

    protected boolean isKeyDown

  Set to true while keyPressed is active.

Constructor Detail

### BasicTreeUI.KeyHandler

    public BasicTreeUI.KeyHandler()

Method Detail

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  Overrides:
    keyPressed in class java.awt.event.KeyAdapter

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

  Overrides:
    keyReleased in class java.awt.event.KeyAdapter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.